module ParallelBatchApi
  module Builder
    def build_requests(env)
      request = Rack::Request.new(env.deep_dup)
      json_body = JSON.parse(request.body.read)
      json_body['requests']
    end

    def build_response(responses)
      [200, { 'Content-Type' => 'application/json' }, [{ responses: responses }.to_json]]
    end
  end
end
