module ParallelBatchApi
  class Response
    attr_reader :status, :header, :body, :url, :params

    def initialize(res, url, params)
      @status, @header, @body = res
      @url = url
      @params = params
    end

    def execute
      base_body = ''
      body.each { |str| base_body << str }
      { status: status, header: header, body: JSON.parse(base_body), url: url, key: key }
    end

    def key
      "#{params[:controller]}##{params[:action]}"
    end
  end
end
